Create invited user
curl --request POST \
--url https://api.creditor.younegotiate.com/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "Jane",
"last_name": "Invited",
"email": "jane.invited@example.com",
"password": "Temp123!"
}
'import requests
url = "https://api.creditor.younegotiate.com/users"
payload = {
"first_name": "Jane",
"last_name": "Invited",
"email": "jane.invited@example.com",
"password": "Temp123!"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: 'Jane',
last_name: 'Invited',
email: 'jane.invited@example.com',
password: 'Temp123!'
})
};
fetch('https://api.creditor.younegotiate.com/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "User created.",
"data": {
"id": 123,
"company_id": 123,
"parent_id": 123,
"subclient_id": 123,
"name": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"email_verified_at": "2023-11-07T05:31:56Z",
"status": "active",
"status_label": "Active",
"can_resend_invitation": true,
"can_delete": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"message": "An active membership is required."
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Create invited user
Create an invited creditor user in the authenticated creditor company. The user is created unverified, linked to the master creditor as parent_id, and sent a signed invited-user password setup email.
POST
/
users
Create invited user
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required string length:
2 - 25Required string length:
2 - 25Must be unique across creditor users.
Required string length:
2 - 255Must satisfy the configured password policy.
Required string length:
8 - 16Last modified on July 20, 2026
Was this page helpful?
⌘I

